//---------------------------------------------------------------------------

#include "stdafx.h"
#pragma hdrstop

#include "About.h"
#include "FixedFileInfo.h"
#include "Constants.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"

using namespace WaveSoftware;

TdlgAbout *dlgAbout;
//---------------------------------------------------------------------------
__fastcall TdlgAbout::TdlgAbout(TComponent* Owner)
	: TForm(Owner)
{
	// Read version resource from EXE and populate the UI version label.
   FixedFileInfo ffi;

   ffi.SetPathname(Application->ExeName.c_str());

   Version v = ffi.GetFileVersion();
   TVarRec d[] =
   {
		v.GetMajor(),
      v.GetMinor(),
      v.GetRelease(),
      v.GetBuild()
   };

   lblVersion->Caption = Format(CSTR_ABOUT_VERSION.c_str(),
   	d,
      sizeof(d));

}
//---------------------------------------------------------------------------
