// SystemFile.h

#ifndef SYSTEMFILE_H
#define SYSTEMFILE_H

#include "Test.h"

namespace WaveSoftware
{

   class FixedFileInfo;
   
   class SystemFile : public Test
   {
   public:
      SystemFile();
      virtual ~SystemFile();

   public:
      virtual bool Initialize(const StringMap& data);
      virtual bool Verify();

   private:
      bool IsInSystemDir(FixedFileInfo* ffi);
      bool IsInWindowsDir(FixedFileInfo* ffi);
      bool IsInPathDir(FixedFileInfo* ffi);

   private:
      std::string m_Filename;
      Versions m_Versions;
   };

}; // end of namespace

#endif // SYSTEMFILE_H
