// Typedef.h
//
// Global types.

#ifndef TYPEDEF_H
#define TYPEDEF_H

#include <string>
#include <map>
#include <vector>
#include <list>

namespace WaveSoftware
{

   typedef std::map<std::string, std::string> StringMap;

   class Version;
   typedef std::vector<Version*> Versions;

   class Test;
   typedef std::list<Test*> Tests;
   
}; // end of namespace 

#endif // TYPEDEF_H
