          struct Node {
                  struct Node* Next;      // ok: Refers to Node at global scope
                  struct Data* Data;      // ok: Declares type Data
                                          // at global scope and member Data
          };
          struct Data {
                  struct Node* Node;      // ok: Refers to Node at global scope
          //        friend struct ::Glob;   // error: Glob is not declared
                         // cannot introduce a qualified type (_decl.type.elab_)
                  friend struct Glob;  // ok: Refers to (as yet) undeclared Glob
                                       // at global scope.
                  /* ... */
          };
          struct Base {
                  struct Data;                    // ok: Declares nested Data
                  struct ::Data*     thatData;    // ok: Refers to ::Data
                  struct Base::Data* thisData;    // ok: Refers to nested Data
                  friend class ::Data;            // ok: global Data is a friend
                  friend class Data;              // ok: nested Data is a friend
                  struct Data { /* ... */ };      // Defines nested Data
                  struct Data;                    // ok: Redeclares nested Data
          };
          struct Data;            // ok: Redeclares Data at global scope
 //         struct ::Data;
             // error: cannot introduce a qualified type (_decl.type.elab_)
 //         struct Base::Data;
             // error: cannot introduce a qualified type (_decl.type.elab_)
 //         struct Base::Datum;     // error: Datum undefined
          struct Base::Data* pBase;       // ok: refers to nested Data

